/**
 * @projectName willalp-pns-business
 * @package com.willalp.service.domain.vo
 * @className com.willalp.service.domain.vo.UserShopCarJsonDoMainVo
 * @copyright Copyright 2019 HuiShan, Inc All rights reserved.
 */
package com.willalp.canteen.domain.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * UserShopCarJsonDoMainVo
 * @description 用户购物车JSON数据实体伪类
 * @author hs
 * @date 2022/12/15 16:09
 * @version 1.0
 */
@Data
public class UserShopCarJsonDoMainVo {
    @JsonProperty("amount")
    private Integer amount;
    @JsonProperty("giftId")
    private String giftId;
    @JsonProperty("giftName")
    private String giftName;
    @JsonProperty("giftNumber")
    private String giftNumber;
    @JsonProperty("giftPictrue")
    private String giftPictrue;
    @JsonProperty("giftPrice")
    private Double giftPrice;
    @JsonProperty("num")
    private Integer num;
    @JsonProperty("plusOrMinus")
    private Integer plusOrMinus;
    @JsonProperty("eventId")
    private String eventId;
    @JsonProperty("eventName")
    private String eventName;
    @JsonProperty("eventTime")
    private String eventTime;
}
 