package com.willalp.event.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.event.domain.HsWelfareApplyRecord;

import java.util.List;

/**
 * 福利报名记录Mapper接口
 *
 * @author willalp
 * @date 2023-04-17
 */
public interface HsWelfareApplyRecordMapper extends BaseMapper<HsWelfareApplyRecord>
{
    /**
     * 查询福利报名记录列表
     *
     * @param hsWelfareApplyRecord 福利报名记录
     * @return 福利报名记录集合
     */
    List<HsWelfareApplyRecord> selectHsWelfareApplyRecordList(HsWelfareApplyRecord hsWelfareApplyRecord);
}
