package com.willalp.event.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.event.domain.HsAssociationsInfo;

import java.util.List;

/**
 * 社团信息Service接口
 *
 * @author willalp
 * @date 2023-04-04
 */
public interface IHsAssociationsInfoService extends IService<HsAssociationsInfo>
{
    /**
     * 查询社团信息列表
     *
     * @param hsAssociationsInfo 社团信息
     * @return 社团信息集合
     */
    public List<HsAssociationsInfo> selectHsAssociationsInfoList(HsAssociationsInfo hsAssociationsInfo);

    /**
     * app获取参加的社团
     *
     * @param userCode
     * @return
     */
    List<HsAssociationsInfo> appGetClubs(String userCode);
}
