package com.willalp.files.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.files.domain.PersonnelHireApproval;

import java.util.List;

/**
 * 员工入流程审批记录Mapper接口
 *
 * @author willalp
 * @date 2023-03-14
 */
public interface PersonnelHireApprovalMapper extends BaseMapper<PersonnelHireApproval>
{
    /**
     * 查询员工入流程审批记录列表
     *
     * @param personnelHireApproval 员工入流程审批记录
     * @return 员工入流程审批记录集合
     */
    List<PersonnelHireApproval> selectPersonnelHireApprovalList(PersonnelHireApproval personnelHireApproval);
}
