package com.willalp.erms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.erms.domain.HsGoodsStorageRecord;

import java.util.List;

/**
 * 物资库存记录Mapper接口
 *
 * @author willalp
 * @date 2023-03-08
 */
public interface HsGoodsStorageRecordMapper extends BaseMapper<HsGoodsStorageRecord>
{
    /**
     * 查询物资库存记录列表
     *
     * @param hsGoodsStorageRecord 物资库存记录
     * @return 物资库存记录集合
     */
    List<HsGoodsStorageRecord> selectHsGoodsStorageRecordList(HsGoodsStorageRecord hsGoodsStorageRecord);
}
