package com.willalp.event.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.event.domain.HsWelfareApplyRecord;

import java.util.List;

/**
 * 福利报名记录Service接口
 *
 * @author willalp
 * @date 2023-04-17
 */
public interface IHsWelfareApplyRecordService extends IService<HsWelfareApplyRecord>
{
    /**
     * 查询福利报名记录列表
     *
     * @param hsWelfareApplyRecord 福利报名记录
     * @return 福利报名记录集合
     */
    List<HsWelfareApplyRecord> selectHsWelfareApplyRecordList(HsWelfareApplyRecord hsWelfareApplyRecord);

    String importData(List<HsWelfareApplyRecord> list,String fileName);
}
