package com.willalp.files.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.files.domain.PersonnelHireApproval;

import java.util.List;

/**
 * 员工入流程审批记录Service接口
 *
 * @author willalp
 * @date 2023-03-14
 */
public interface IPersonnelHireApprovalService extends IService<PersonnelHireApproval>
{
    /**
     * 查询员工入流程审批记录列表
     *
     * @param personnelHireApproval 员工入流程审批记录
     * @return 员工入流程审批记录集合
     */
    public List<PersonnelHireApproval> selectPersonnelHireApprovalList(PersonnelHireApproval personnelHireApproval);
}
