package com.willalp.vacation.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.willalp.vacation.mapper.HsChangeOfficialRecordMapper;
import com.willalp.vacation.domain.HsChangeOfficialRecord;
import com.willalp.vacation.service.IHsChangeOfficialRecordService;

/**
 * 转正记录Service业务层处理
 *
 * @author willalp
 * @date 2023-03-19
 */
@Service
public class HsChangeOfficialRecordServiceImpl extends ServiceImpl<HsChangeOfficialRecordMapper, HsChangeOfficialRecord>  implements IHsChangeOfficialRecordService
{
    @Resource
    private HsChangeOfficialRecordMapper hsChangeOfficialRecordMapper;

    /**
     * 查询转正记录列表
     *
     * @param hsChangeOfficialRecord 转正记录
     * @return 转正记录
     */
    @Override
    public List<HsChangeOfficialRecord> selectHsChangeOfficialRecordList(HsChangeOfficialRecord hsChangeOfficialRecord)
    {
        return hsChangeOfficialRecordMapper.selectHsChangeOfficialRecordList(hsChangeOfficialRecord);
    }
}
