package com.willalp.erms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.erms.domain.HsGoodsStorageRecord;

import java.util.List;

/**
 * 物资库存记录Service接口
 *
 * @author willalp
 * @date 2023-03-08
 */
public interface IHsGoodsStorageRecordService extends IService<HsGoodsStorageRecord>
{
    /**
     * 查询物资库存记录列表
     *
     * @param hsGoodsStorageRecord 物资库存记录
     * @return 物资库存记录集合
     */
    public List<HsGoodsStorageRecord> selectHsGoodsStorageRecordList(HsGoodsStorageRecord hsGoodsStorageRecord);
}
